commit d6da7c7e0843e0595d8c3b3aa37296b6c8f68dd0
Author: Richard Biener <rguenther@suse.de>
Date:   Wed Nov 11 12:49:57 2020 +0100

    testsuite/97797 - adjust GIMPLE tests for sizetype
    
    Tested on x86_64-unknown-linux-gnu, pushed.
    
    2020-11-11  Richard Biener  <rguenther@suse.de>
    
            PR testsuite/97797
            * gcc.dg/torture/ssa-fre-5.c: Use __SIZETYPE__ where
            appropriate.
            * gcc.dg/torture/ssa-fre-6.c: Likewise.
    
    (cherry picked from commit 4ac93608d7e33a3e10bbd8d50259bc00a7d01237)

diff --git a/gcc/testsuite/gcc.dg/torture/ssa-fre-5.c b/gcc/testsuite/gcc.dg/torture/ssa-fre-5.c
index 180fd720749..1915b9ae771 100644
--- a/gcc/testsuite/gcc.dg/torture/ssa-fre-5.c
+++ b/gcc/testsuite/gcc.dg/torture/ssa-fre-5.c
@@ -11,14 +11,14 @@ foo ()
   int * p;
   int i;
   int x[4];
-  long unsigned int _1;
-  long unsigned int _2;
+  __SIZETYPE__ _1;
+  __SIZETYPE__ _2;
   int _7;
 
   __BB(2):
   i_3 = 0;
-  _1 = (long unsigned int) i_3;
-  _2 = _1 * 4ul;
+  _1 = (__SIZETYPE__) i_3;
+  _2 = _1 * _Literal (__SIZETYPE__) 4;
   p_4 = _Literal (int *) &x + _2;
   __MEM <v4si> ((v4si *)p_4) = _Literal (v4si) { 1, 2, 3, 4 };
   _7 = x[0];
diff --git a/gcc/testsuite/gcc.dg/torture/ssa-fre-6.c b/gcc/testsuite/gcc.dg/torture/ssa-fre-6.c
index 2c4235fa4ea..041d921916c 100644
--- a/gcc/testsuite/gcc.dg/torture/ssa-fre-6.c
+++ b/gcc/testsuite/gcc.dg/torture/ssa-fre-6.c
@@ -11,14 +11,14 @@ foo ()
   int * p;
   int i;
   int x[4];
-  long unsigned int _1;
-  long unsigned int _2;
+  __SIZETYPE__ _1;
+  __SIZETYPE__ _2;
   int _7;
 
   __BB(2):
   i_3 = 0;
-  _1 = (long unsigned int) i_3;
-  _2 = _1 * 4ul;
+  _1 = (__SIZETYPE__) i_3;
+  _2 = _1 * _Literal (__SIZETYPE__) 4;
   p_4 = _Literal (int *) &x + _2;
   __MEM <v4si> ((v4si *)p_4) = _Literal (v4si) {};
   _7 = x[0];

